Bug 110772 - [CI][DRMTIP] igt@kms_flip_tiling@flip-* - fail - Failed assertion: ret == 0, error: -22 != 0
Summary: [CI][DRMTIP] igt@kms_flip_tiling@flip-* - fail - Failed assertion: ret == 0, ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-27 13:12 UTC by Lakshmi
Modified: 2019-06-26 10:26 UTC (History)
2 users (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-05-27 13:12:33 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_293/fi-icl-u3/igt@kms_flip_tiling@flip-to-y-tiled.html

Starting subtest: flip-to-Y-tiled
(kms_flip_tiling:5083) igt_kms-CRITICAL: Test assertion failure function igt_primary_plane_commit_legacy, file ../lib/igt_kms.c:2783:
(kms_flip_tiling:5083) igt_kms-CRITICAL: Failed assertion: ret == 0
(kms_flip_tiling:5083) igt_kms-CRITICAL: Last errno: 22, Invalid argument
(kms_flip_tiling:5083) igt_kms-CRITICAL: error: -22 != 0
Subtest flip-to-Y-tiled failed.
**** DEBUG ****
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.5 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe B, plane 6
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe B, plane 6, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.6 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.6 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.6 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.6 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane B.6 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe B, plane 7
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetCursor pipe B, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     MoveCursor pipe B, (0, 0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetCrtc pipe C, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 1, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.1 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.1 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.1 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.1 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.1 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 2
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 2, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.2 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.2 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.2 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.2 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.2 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 3
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 3, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.3 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.3 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.3 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.3 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.3 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 4
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 4, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.4 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.4 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.4 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.4 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.4 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 5
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 5, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.5 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.5 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.5 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.5 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.5 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 6
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetPlane pipe C, plane 6, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.6 "rotation" to 0x1/1
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.6 "COLOR_ENCODING" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.6 "COLOR_RANGE" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.6 "pixel blend mode" to 0x0/0
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetProp plane C.6 "alpha" to 0xffff/65535
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     Fixing up initial rotation pipe C, plane 7
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetCursor pipe C, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     MoveCursor pipe C, (0, 0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: }
(kms_flip_tiling:5083) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_flip_tiling:5083) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_fb(235)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_size (4096x2160)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_size(4096x2160)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: commit {
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     eDP-1: SetCrtc pipe A, fb 235, src (0, 0), mode 3840x2160
(kms_flip_tiling:5083) igt_kms-DEBUG: display: }
(kms_flip_tiling:5083) DEBUG: Test requirement passed: ret == 0
(kms_flip_tiling:5083) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_fb(0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_size (0x0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_size(0x0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: eDP-1: set_pipe(None)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: eDP-1: Selecting pipe None
(kms_flip_tiling:5083) igt_kms-DEBUG: display: commit {
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     SetCrtc pipe A, disabling
(kms_flip_tiling:5083) igt_kms-DEBUG: display: }
(kms_flip_tiling:5083) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_flip_tiling:5083) igt_kms-DEBUG: display: DP-1: set_pipe(A)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: DP-1: Selecting pipe A
(kms_flip_tiling:5083) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_flip_tiling:5083) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=2048, height=1080, format=XR24(0x34325258), modifier=0x0, size=0)
(kms_flip_tiling:5083) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=8192)
(kms_flip_tiling:5083) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_flip_tiling:5083) igt_fb-DEBUG: Test requirement passed: cairo_surface_status(fb->cairo_surface) == CAIRO_STATUS_SUCCESS
(kms_flip_tiling:5083) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=2048, height=1080, format=XR24(0x34325258), modifier=0x100000000000002, size=0)
(kms_flip_tiling:5083) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_flip_tiling:5083) drmtest-DEBUG: Test requirement passed: is_i915_device(fd) && has_known_intel_chipset(fd)
(kms_flip_tiling:5083) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=8192)
(kms_flip_tiling:5083) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_fb(230)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: plane_set_size (2048x1080)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: A.0: fb_set_size(2048x1080)
(kms_flip_tiling:5083) igt_kms-DEBUG: display: commit {
(kms_flip_tiling:5083) igt_kms-DEBUG: display:     DP-1: SetCrtc pipe A, fb 230, src (0, 0), mode 1920x1080
(kms_flip_tiling:5083) igt_kms-CRITICAL: Test assertion failure function igt_primary_plane_commit_legacy, file ../lib/igt_kms.c:2783:
(kms_flip_tiling:5083) igt_kms-CRITICAL: Failed assertion: ret == 0
(kms_flip_tiling:5083) igt_kms-CRITICAL: Last errno: 22, Invalid argument
(kms_flip_tiling:5083) igt_kms-CRITICAL: error: -22 != 0
(kms_flip_tiling:5083) igt_core-INFO: Stack trace:
(kms_flip_tiling:5083) igt_core-INFO:   #0 ../lib/igt_core.c:1474 __igt_fail_assert()
(kms_flip_tiling:5083) igt_core-INFO:   #1 ../lib/igt_kms.c:2783 do_display_commit()
(kms_flip_tiling:5083) igt_core-INFO:   #2 ../lib/igt_kms.c:3539 igt_display_commit2()
(kms_flip_tiling:5083) igt_core-INFO:   #3 ../tests/kms_flip_tiling.c:109 test_flip_tiling.constprop.2()
(kms_flip_tiling:5083) igt_core-INFO:   #4 ../tests/kms_flip_tiling.c:265 __real_main143()
(kms_flip_tiling:5083) igt_core-INFO:   #5 ../tests/kms_flip_tiling.c:143 main()
(kms_flip_tiling:5083) igt_core-INFO:   #6 ../csu/libc-start.c:344 __libc_start_main()
(kms_flip_tiling:5083) igt_core-INFO:   #7 [_start+0x2a]
****  END  ****
Subtest flip-to-Y-tiled: FAIL (1.043s)
Comment 1 CI Bug Log 2019-05-27 13:13:54 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_flip_tiling@flip-to-y-tiled - fail - Failed assertion: ret == 0, error: -22 != 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_293/fi-icl-u3/igt@kms_flip_tiling@flip-to-y-tiled.html
Comment 2 Jani Saarinen 2019-05-27 13:22:24 UTC
Is this same as 108134?
Comment 3 Jani Saarinen 2019-05-28 09:46:32 UTC
Mika, was this assessed and what was outcome?
Comment 4 Mika Kahola 2019-05-28 10:29:13 UTC
The test tries to test flip to y-tiling. For some, yet unknown reason, the modeset pruned out the default mode

[drm:drm_mode_debug_printmodeline] Modeline "3840x2160": 60 533250 3840 3888 3920 4000 2160 2163 2168 2222 0x48 0x9

and leaving an interleaved mode as first acceptable mode as

[drm:drm_mode_debug_printmodeline] Modeline "1920x1080i": 60 74250 1920 2008 2052 2200 1080 1084 1094 1125 0x40 0x15

In this case, kernel actually does a right thing by returning -EINVAL as y/yf tiling is not supported for interlaced modes.
Comment 5 Mika Kahola 2019-05-29 12:44:10 UTC
I sent a patch for a review

https://patchwork.freedesktop.org/series/61324/
Comment 6 CI Bug Log 2019-06-03 07:52:15 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_flip_tiling@flip-to-y-tiled - fail - Failed assertion: ret == 0, error: -22 != 0 -}
{+ ICL: igt@kms_flip_tiling@flip-* - fail - Failed assertion: ret == 0, error: -22 != 0 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_299/fi-icl-u3/igt@kms_flip_tiling@flip-changes-tiling-y.html
Comment 7 Mika Kahola 2019-06-03 08:00:42 UTC
The patch 

https://patchwork.freedesktop.org/series/61324/

was reviewed and merged to IGT.
Comment 8 Jani Saarinen 2019-06-03 08:15:02 UTC
Should this be resolved then to wait testing/results from CI?
Comment 9 Mika Kahola 2019-06-03 08:19:42 UTC
I was thinking to wait for few CI runs and then resolve this if we don't hit this issue anymore.
Comment 10 Jani Saarinen 2019-06-26 10:26:04 UTC
Not seen in a  month, resolving. Please check after drmtip_360 if can be closed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.